package unicrawler.downloader;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;

public class RobotsDownloader {
	
	public static String downloadRobotFile(String _url) {
		URL robotURL = null;
		BufferedReader br = null;
		StringBuilder sb = null;
		
		try {
			// Parse the URL 
			robotURL = new URL(_url);
			
			br = new BufferedReader(new InputStreamReader(robotURL.openStream(), "UTF-8"));
			sb = new StringBuilder();
			
			String ln = null;
			while ((ln = br.readLine()) != null) {
				sb.append(ln);
				sb.append("\n");
			}
		}
		catch (MalformedURLException ex) {
			// Return a null obj 
			return null;
			
		} catch (IOException e) {
			return null;
		}
		finally {
			if (br != null) {
				try {
					br.close();
				} catch (IOException e) {
				}
			}
		}
		
		return sb.toString();
	}
}
